[Fedora-livecd-list] 2 commits - config/livecd-fedora-9-base-desktop.ks config/livecd-fedora-9-desktop.ks config/livecd-fedora-9-kde.ks livecd-tools.spec Makefile

Jeremy Katz katzj at fedoraproject.org
Fri May 2 02:17:37 UTC 2008


 Makefile                               |    2 
 config/livecd-fedora-9-base-desktop.ks |  223 +++++++++++++++++++++++++++++++++
 config/livecd-fedora-9-desktop.ks      |  172 +++++++++++++++++++++++++
 config/livecd-fedora-9-kde.ks          |   94 +++++++++++++
 livecd-tools.spec                      |   10 +
 5 files changed, 499 insertions(+), 2 deletions(-)

New commits:
commit 8f70c932e38d5762bce8d6bfd32e6072ff200df8
Author: Jeremy Katz <katzj at redhat.com>
Date:   Thu May 1 21:58:29 2008 -0400

    Bump version.

diff --git a/Makefile b/Makefile
index 22c9c2e..9d26df5 100644
--- a/Makefile
+++ b/Makefile
@@ -1,5 +1,5 @@
 
-VERSION = 015
+VERSION = 016
 
 INSTALL = /usr/bin/install -c
 INSTALL_PROGRAM = ${INSTALL}
diff --git a/livecd-tools.spec b/livecd-tools.spec
index 56b82d4..b2c50f1 100644
--- a/livecd-tools.spec
+++ b/livecd-tools.spec
@@ -4,7 +4,7 @@
 
 Summary: Tools for building live CD's
 Name: livecd-tools
-Version: 015
+Version: 016
 Release: 1%{?dist}
 License: GPLv2
 Group: System Environment/Base
@@ -62,6 +62,14 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/imgcreate/*.pyc
 
 %changelog
+* Thu May  1 2008 Jeremy Katz <katzj at redhat.com> - 016-1
+- Config changes all around, including F9 final configs
+- Fix up the minimal image creation
+- Fix odd traceback error on __del__ (#442443)
+- Add late initscript and split things in half
+- livecd-iso-to-disk: Check the available space on the stick (#443046)
+- Fix partition size overriding (kanarip)
+
 * Thu Mar  6 2008 Jeremy Katz <katzj at redhat.com> - 015-1
 - Support for using live isos with pxe booting (Richard W.M. Jones and 
   Chris Lalancette)


commit b693a8fad6f065200f0e674a4bf9a6166cd0bcb2
Author: Jeremy Katz <katzj at redhat.com>
Date:   Thu May 1 21:57:55 2008 -0400

    Add Fedora 9 configs

diff --git a/config/livecd-fedora-9-base-desktop.ks b/config/livecd-fedora-9-base-desktop.ks
new file mode 100644
index 0000000..70d4162
--- /dev/null
+++ b/config/livecd-fedora-9-base-desktop.ks
@@ -0,0 +1,223 @@
+lang en_US.UTF-8
+keyboard us
+timezone US/Eastern
+auth --useshadow --enablemd5
+selinux --enforcing
+firewall --disabled
+xconfig --startxonboot
+part / --size 4096
+services --enabled=NetworkManager --disabled=network,sshd
+
+repo --name=released --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-9&arch=$basearch
+repo --name=updates --mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f9&arch=$basearch
+
+%packages
+ at base-x
+ at base
+ at core
+ at fonts
+ at admin-tools
+ at dial-up
+ at hardware-support
+ at printing
+kernel
+memtest86+
+
+# save some space
+-specspo
+-esc
+-samba-client
+-a2ps
+-mpage
+-redhat-lsb
+-sox
+-hplip
+-hpijs
+# smartcards won't really work on the livecd.  
+-coolkey
+-ccid
+# duplicate functionality
+-pinfo
+-vorbis-tools
+-wget
+# dasher is just too big
+-dasher
+# lose the compat stuff
+-compat*
+
+# qlogic firmwares
+-ql2100-firmware
+-ql2200-firmware
+-ql23xx-firmware
+-ql2400-firmware
+
+# scanning takes quite a bit of space :/
+-xsane
+-xsane-gimp
+-sane-backends
+
+# livecd bits to set up the livecd and be able to install
+anaconda
+isomd5sum
+
+# make sure debuginfo doesn't end up on the live image
+-*debuginfo
+%end
+
+%post
+# FIXME: it'd be better to get this installed from a package
+cat > /etc/rc.d/init.d/fedora-live << EOF
+#!/bin/bash
+#
+# live: Init script for live image
+#
+# chkconfig: 345 00 99
+# description: Init script for live image.
+
+. /etc/init.d/functions
+
+if ! strstr "\`cat /proc/cmdline\`" liveimg || [ "\$1" != "start" ] || [ -e /.liveimg-configured ] ; then
+    exit 0
+fi
+
+exists() {
+    which \$1 >/dev/null 2>&1 || return
+    \$*
+}
+
+touch /.liveimg-configured
+
+# mount live image
+if [ -b /dev/live ]; then
+   mkdir -p /mnt/live
+   mount -o ro /dev/live /mnt/live
+fi
+
+# enable swaps unless requested otherwise
+swaps=\`blkid -t TYPE=swap -o device\`
+if ! strstr "\`cat /proc/cmdline\`" noswap -a [ -n "\$swaps" ] ; then
+  for s in \$swaps ; do
+    action "Enabling swap partition \$s" swapon \$s
+  done
+fi
+
+# add fedora user with no passwd
+useradd -c "Fedora Live" fedora
+passwd -d fedora > /dev/null
+
+# turn off firstboot for livecd boots
+chkconfig --level 345 firstboot off 2>/dev/null
+
+# don't start yum-updatesd for livecd boots
+chkconfig --level 345 yum-updatesd off 2>/dev/null
+
+# don't do packagekit checking by default
+gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t string /apps/gnome-packagekit/frequency_get_updates never >/dev/null
+gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t string /apps/gnome-packagekit/frequency_refresh_cache never >/dev/null
+gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-packagekit/notify_available false >/dev/null
+
+# apparently, the gconf keys aren't enough
+mkdir -p /home/fedora/.config/autostart
+echo "X-GNOME-Autostart-enabled=false" >> /home/fedora/.config/autostart/gpk-update-icon.desktop
+chown -R fedora:fedora /home/fedora/.config
+
+
+
+# don't start cron/at as they tend to spawn things which are
+# disk intensive that are painful on a live image
+chkconfig --level 345 crond off 2>/dev/null
+chkconfig --level 345 atd off 2>/dev/null
+chkconfig --level 345 anacron off 2>/dev/null
+chkconfig --level 345 readahead_early off 2>/dev/null
+chkconfig --level 345 readahead_later off 2>/dev/null
+
+# Stopgap fix for RH #217966; should be fixed in HAL instead
+touch /media/.hal-mtab
+
+# workaround clock syncing on shutdown that we don't want (#297421)
+sed -i -e 's/hwclock/no-such-hwclock/g' /etc/rc.d/init.d/halt
+EOF
+
+# bah, hal starts way too late
+cat > /etc/rc.d/init.d/fedora-late-live << EOF
+#!/bin/bash
+#
+# live: Late init script for live image
+#
+# chkconfig: 345 99 01
+# description: Late init script for live image.
+
+. /etc/init.d/functions
+
+if ! strstr "\`cat /proc/cmdline\`" liveimg || [ "\$1" != "start" ] || [ -e /.liveimg-late-configured ] ; then
+    exit 0
+fi
+
+exists() {
+    which \$1 >/dev/null 2>&1 || return
+    \$*
+}
+
+touch /.liveimg-late-configured
+
+# read some variables out of /proc/cmdline
+for o in \`cat /proc/cmdline\` ; do
+    case \$o in
+    ks=*)
+        ks="\${o#ks=}"
+        ;;
+    xdriver=*)
+        xdriver="--set-driver=\${o#xdriver=}"
+        ;;
+    esac
+done
+
+
+# if liveinst or textinst is given, start anaconda
+if strstr "\`cat /proc/cmdline\`" liveinst ; then
+   /usr/sbin/liveinst \$ks
+fi
+if strstr "\`cat /proc/cmdline\`" textinst ; then
+   /usr/sbin/liveinst --text \$ks
+fi
+
+# configure X, allowing user to override xdriver
+if [ -n "\$xdriver" ]; then
+   exists system-config-display --noui --reconfig --set-depth=24 \$xdriver
+fi
+
+EOF
+
+# workaround avahi segfault (#279301)
+touch /etc/resolv.conf
+/sbin/restorecon /etc/resolv.conf
+
+chmod 755 /etc/rc.d/init.d/fedora-live
+/sbin/restorecon /etc/rc.d/init.d/fedora-live
+/sbin/chkconfig --add fedora-live
+
+chmod 755 /etc/rc.d/init.d/fedora-late-live
+/sbin/restorecon /etc/rc.d/init.d/fedora-late-live
+/sbin/chkconfig --add fedora-late-live
+
+# work around for poor key import UI in PackageKit
+rpm --import /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
+
+# save a little bit of space at least...
+rm -f /boot/initrd*
+# make sure there aren't core files lying around
+rm -f /core*
+
+%end
+
+
+%post --nochroot
+cp $INSTALL_ROOT/usr/share/doc/*-release-*/GPL $LIVE_ROOT/GPL
+cp $INSTALL_ROOT/usr/share/doc/HTML/readme-live-image/en_US/readme-live-image-en_US.txt $LIVE_ROOT/README
+
+# only works on x86, x86_64
+if [ "$(uname -i)" = "i386" -o "$(uname -i)" = "x86_64" ]; then
+  if [ ! -d $LIVE_ROOT/LiveOS ]; then mkdir -p $LIVE_ROOT/LiveOS ; fi
+  cp /usr/bin/livecd-iso-to-disk $LIVE_ROOT/LiveOS
+fi
+%end
diff --git a/config/livecd-fedora-9-desktop.ks b/config/livecd-fedora-9-desktop.ks
new file mode 100644
index 0000000..f8e1f99
--- /dev/null
+++ b/config/livecd-fedora-9-desktop.ks
@@ -0,0 +1,172 @@
+%include livecd-fedora-base-desktop.ks
+
+%packages
+ at games
+ at graphical-internet
+ at graphics
+ at sound-and-video
+ at gnome-desktop
+nss-mdns
+NetworkManager-vpnc
+NetworkManager-openvpn
+# we don't include @office so that we don't get OOo.  but some nice bits
+abiword
+gnumeric
+#planner
+#inkscape
+
+ at albanian-support
+ at arabic-support
+ at assamese-support
+ at basque-support
+ at belarusian-support
+ at bengali-support
+ at brazilian-support
+ at british-support
+ at bulgarian-support
+ at catalan-support
+ at chinese-support
+ at czech-support
+ at danish-support
+ at dutch-support
+ at estonian-support
+ at finnish-support
+ at french-support
+ at galician-support
+ at georgian-support
+ at german-support
+ at greek-support
+ at gujarati-support
+ at hebrew-support
+ at hindi-support
+ at hungarian-support
+ at indonesian-support
+ at italian-support
+ at japanese-support
+ at kannada-support
+ at korean-support
+ at latvian-support
+ at lithuanian-support
+ at macedonian-support
+ at malayalam-support
+ at marathi-support
+ at nepali-support
+ at norwegian-support
+ at oriya-support
+ at persian-support
+ at polish-support
+ at portuguese-support
+ at punjabi-support
+ at romanian-support
+ at russian-support
+ at serbian-support
+ at slovak-support
+ at slovenian-support
+ at spanish-support
+ at swedish-support
+ at tamil-support
+ at telugu-support
+ at thai-support
+ at turkish-support
+ at ukrainian-support
+ at vietnamese-support
+ at welsh-support
+
+# The following locales have less than 50% translation coverage for the core
+# GNOME stack, as found at http://l10n.gnome.org/languages/
+
+#@afrikaans-support
+#@armenian-support
+#@bhutanese-support
+#@bosnian-support
+#@breton-support
+#@croatian-support
+#@esperanto-support
+#@ethiopic-support
+#@faeroese-support
+#@filipino-support
+#@gaelic-support
+#@icelandic-support
+#@inuktitut-support
+#@irish-support
+#@khmer-support
+#@lao-support
+#@low-saxon-support
+#@malay-support
+#@maori-support
+#@mongolian-support
+#@northern-sami-support
+#@northern-sotho-support
+#@samoan-support
+#@sinhala-support
+#@somali-support
+#@southern-ndebele-support
+#@southern-sotho-support
+#@swati-support
+#@tagalog-support
+#@tibetan-support
+#@tonga-support
+#@tsonga-support
+#@tswana-support
+#@urdu-support
+#@venda-support
+#@walloon-support
+#@xhosa-support
+#@zulu-support
+
+# These fonts are only used in the commented-out locales above
+-lklug-fonts
+-abyssinica-fonts
+-jomolhari-fonts
+
+# avoid weird case where we pull in more festival stuff than we need
+festival
+festvox-slt-arctic-hts
+
+# dictionaries are big
+-aspell-*
+-hunspell-*
+-man-pages-*
+-scim-tables-*
+-wqy-bitmap-fonts
+-dejavu-fonts-experimental
+
+# more fun with space saving 
+-scim-lang-chinese
+-scim-python*
+scim-chewing
+scim-pinyin
+
+# save some space
+-gnome-user-docs
+-gimp-help
+-evolution-help
+-autofs
+-nss_db
+-vino
+-dasher
+-evince-dvi
+-evince-djvu
+# not needed for gnome
+-acpid
+# temporary - drags in many deps
+-ekiga
+-tomboy
+-f-spot
+%end
+
+%post
+cat >> /etc/rc.d/init.d/fedora-live << EOF
+# disable screensaver locking
+gconftool-2 --direct --config-source=xml:readwrite:/etc/gconf/gconf.xml.defaults -s -t bool /apps/gnome-screensaver/lock_enabled false >/dev/null
+# set up timed auto-login for after 60 seconds
+cat >> /etc/gdm/custom.conf << FOE
+[daemon]
+TimedLoginEnable=true
+TimedLogin=fedora
+TimedLoginDelay=60
+FOE
+
+EOF
+
+%end
diff --git a/config/livecd-fedora-9-kde.ks b/config/livecd-fedora-9-kde.ks
new file mode 100644
index 0000000..8cefa08
--- /dev/null
+++ b/config/livecd-fedora-9-kde.ks
@@ -0,0 +1,94 @@
+%include livecd-fedora-base-desktop.ks
+
+%packages
+ at kde-desktop
+
+# include nm-applet directly 
+NetworkManager-gnome
+
+# unwanted packages from @kde-desktop
+# don't include these for now to fit on a cd
+# digikam (~11 megs), ktorrent (~3 megs), amarok (~14 megs),
+# kdegames (~23 megs)
+-amarok
+-digikam
+-kdeedu
+-scribus
+#-ktorrent
+#-kdegames
+#-kftpgrabber*
+
+# KDE 3
+koffice-kword
+koffice-kspread
+koffice-kpresenter
+koffice-filters
+k3b
+filelight
+# twinkle (~10 megs)
+#twinkle
+
+# some extras
+fuse
+pavucontrol
+
+# additional fonts
+ at fonts
+fonts-ISO8859-2 
+#cjkunifonts-ukai 
+madan-fonts 
+fonts-KOI8-R 
+fonts-KOI8-R-100dpi 
+tibetan-machine-uni-fonts
+
+# FIXME/TODO: recheck the removals here
+# try to remove some packages from livecd-fedora-base-desktop.ks
+-gdm
+-authconfig-gtk
+
+# save some space (from @base)
+-make
+-nss_db
+-autofs
+
+%end
+
+%post
+
+# create /etc/sysconfig/desktop (needed for installation)
+cat > /etc/sysconfig/desktop <<EOF
+DESKTOP="KDE"
+DISPLAYMANAGER="KDM"
+EOF
+
+# add initscript
+cat >> /etc/rc.d/init.d/fedora-live << EOF
+
+if [ -e /usr/share/icons/hicolor/96x96/apps/fedora-logo-icon.png ] ; then
+    # use image also for kdm
+    mkdir -p /usr/share/apps/kdm/faces
+    cp /usr/share/icons/hicolor/96x96/apps/fedora-logo-icon.png /usr/share/apps/kdm/faces/fedora.face.icon
+fi
+
+# make fedora user use KDE
+echo "startkde" > /home/fedora/.xsession
+chmod a+x /home/fedora/.xsession
+chown fedora:fedora /home/fedora/.xsession
+
+# set up autologin for user fedora
+sed -i 's/#AutoLoginEnable=true/AutoLoginEnable=true/' /etc/kde/kdm/kdmrc
+sed -i 's/#AutoLoginUser=fred/AutoLoginUser=fedora/' /etc/kde/kdm/kdmrc
+
+# set up user fedora as default user and preselected user
+sed -i 's/#PreselectUser=Default/PreselectUser=Default/' /etc/kde/kdm/kdmrc
+sed -i 's/#DefaultUser=johndoe/DefaultUser=fedora/' /etc/kde/kdm/kdmrc
+
+# add liveinst.desktop to favorites menu
+mkdir -p /home/fedora/.kde/share/config/
+cat > /home/fedora/.kde/share/config/kickoffrc << MENU_EOF
+[Favorites]
+FavoriteURLs=/usr/share/applications/kde4/konqbrowser.desktop,/usr/share/applications/kde4/dolphin.desktop,/usr/share/applications/kde4/systemsettings.desktop,/usr/share/applications/liveinst.desktop
+MENU_EOF
+chown -R fedora:fedora /home/fedora/.kde/
+
+%end





More information about the Fedora-livecd-list mailing list